using System;
using System.Collections.Generic;

namespace petlja2A_c
{
    class Program
    {
        static void Main(string[] args)
        {
            List<int> pogoci = new List<int>();
            int n, k;

            string[] s1 = Console.ReadLine().Split(' ');
            n = int.Parse(s1[0]);
            k = int.Parse(s1[1]);
            int[] a = new int[n];
            string[] s2 = Console.ReadLine().Split(' ');
            for (int i = 0; i < n; i++)
            {
                a[i] = int.Parse(s2[i]);
            }

            for (int i = 0; i < n - 1; i++)
            {
                int z = 1;
                for (int j = i + 1; j < n && !pogoci.Contains(a[i]) && z < k; j++)
                {
                    if (a[i] == a[j])
                        z++;
                    if (z >= k)
                        pogoci.Add(a[i]);
                }
            }
            Console.WriteLine(pogoci.Count);
            for (int i = 0; i < pogoci.Count; i++)
            {
                Console.Write(pogoci[i] + " ");
            }

        }
    }
}